pump (0.8.24-7) unstable; urgency=low

  * Adopted package (Closes: #506508)
  * Fix licence : GPL-2
  * Migrated diff to quilt
    + Added: 00_00-pump-debian.patch
    + Merged gentoo's pump-0.8.24-1-patches.tar.bz2 (Closes: #268161)
    + Fix manpage typo, with  A. Costa's patch (Closes: #383119) 

 -- Philippe Coval <rzr@gna.org>  Sat, 27 Feb 2010 16:12:35 +0100

pump (0.8.24-6) unstable; urgency=low

  * QA upload.
  * Merge 0.8.24-5ubuntu1 from Ubuntu
    Closes: 560515

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 27 Dec 2009 20:48:44 +1100

pump (0.8.24-5ubuntu1) karmic; urgency=low

  [ Brian Murray ]
  * Resolve FTBFS on Jaunty because of -D_FORTIFY_SOURCE=2.
    Thanks to Cesare Tirabassi for the patch. (LP: #309848) 

  [ Ilya Barygin ]
  * Build with -fno-strict-aliasing to fix FTBFS with gcc 4.4.

 -- Ilya Barygin <barygin@gmail.com>  Tue, 13 Oct 2009 20:27:40 +0400

pump (0.8.24-5) unstable; urgency=low

  * QA upload.
  * Maintainer is Debian QA Group

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 21 Nov 2008 19:50:09 +1100

pump (0.8.24-4) unstable; urgency=low

  * pump depends on netbase, not net-tools; closes: #469712

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 06 Aug 2008 08:46:48 +1000

pump (0.8.24-3) unstable; urgency=low

  * pump depends on net-tools; closes: #469712 
  * Standards-Version is 3.8.0
  * Fix the following lintian issues:
    W: pump source: debian-rules-sets-DH_COMPAT line 14

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 05 Aug 2008 21:26:01 +1000

pump (0.8.24-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by brian m. carlson. (Closes: #455419)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 19:08:03 +0100

pump (0.8.24-2) unstable; urgency=low

  * Set Standards-Version to 3.7.2.
  * Set DH_COMPAT to 5.
  * Updated debian/watch file.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 03 Jul 2006 16:10:21 +1000

pump (0.8.24-1) unstable; urgency=low

  * New upstream release.
    Fixed "does not take option interface-mtu into account", closes:
    #333519.
  * Fixed override disparity in unstable, "Override says admin - optional,
    .deb says base - optional".
  * Set Standards-Version to 3.6.2.
  * Added watch file.
  * Fixed lintian warning "package-uses-deprecated-debhelper-compat-
    version 2"
  * Updated FSF mail address.
  * Fixed linda error "DH_COMPAT is greater than the major version of
    debhelper depended on".

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 26 Nov 2005 12:55:08 +1100

pump (0.8.21-2) unstable; urgency=low

  * Fixed "man page regression", closes: #302672.
    Patch by Thomas Hood <jdthood@aglu.demon.nl>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 02 Apr 2005 20:25:52 +1000

pump (0.8.21-1) unstable; urgency=low

  * New upstream release.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 23 Feb 2005 21:20:26 +1100

pump (0.8.19-5) unstable; urgency=low

  * pump doesn't run resolvconf in a reliable way (closes: #258598).
    Patch supplied by Thomas Hood <jdthood@aglu.demon.nl>
  * Improved man page (closes: #268237).
    Patch supplied by Thomas Hood <jdthood@yahoo.co.uk>

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Fri, 10 Sep 2004 19:24:30 +1000

pump (0.8.19-4) unstable; urgency=low

  * New maintainer.

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Thu, 20 May 2004 10:00:28 +1000

pump (0.8.19-3) unstable; urgency=low

  * Removed pump-udeb (closes: #221227).
  * Removed prerm script (closes: #224000).
  * Keep going in case of unexpected TCP connection errors
    (Magos?nyi ?rp?d, closes: #227693).

 -- Herbert Xu <herbert@debian.org>  Sat, 31 Jan 2004 10:29:10 +1100

pump (0.8.19-2) unstable; urgency=low

  * Do not print search line if domain is NULL (closes: #215467).
  * Added support for multiple gateways (closes: #216088).

 -- Herbert Xu <herbert@debian.org>  Sat,  1 Nov 2003 11:49:31 +1100

pump (0.8.19-1) unstable; urgency=low

  * New upstream release.
  * Changed priority of pump-udeb to extra.
  * Suggest resolvconf (closes: #208090).
  * Removed obsolete debconf note (closes: #207661, #207665).
  * Use -falign options.

 -- Herbert Xu <herbert@debian.org>  Sat, 13 Sep 2003 13:11:02 +1000

pump (0.8.15-1) unstable; urgency=low

  * New upstream release.
  * Added resolvconf support (closes: #194204).
  * Fixed overrides so that they can be set from clients.
  * Added --script option (closes: #197285).
  * Actually use the verbose flag (closes: #200439).

 -- Herbert Xu <herbert@debian.org>  Sat, 19 Jul 2003 21:53:07 +1000

pump (0.8.14-2) unstable; urgency=low

  * Fixed persistent renewal failure bug.

 -- Herbert Xu <herbert@debian.org>  Thu,  6 Mar 2003 19:31:32 +1100

pump (0.8.14-1) unstable; urgency=low

  * New upstream release.
  * Added Danish debconf template (Michael Kristensen, closes: #174753).
  * Provide dhcp-client (closes: #178961).
  * Added nosetup option.
  * Fixed long standing configuration bug.

 -- Herbert Xu <herbert@debian.org>  Sat,  1 Feb 2003 21:14:04 +1100

pump (0.8.13-4) unstable; urgency=low

  * Hard code ports in network byte order (closes: #169236).

 -- Herbert Xu <herbert@debian.org>  Sat, 16 Nov 2002 08:27:17 +1100

pump (0.8.13-3) unstable; urgency=low

  * Create /var/run in the package (closes: #169109).

 -- Herbert Xu <herbert@debian.org>  Fri, 15 Nov 2002 08:08:00 +1100

pump (0.8.13-2) unstable; urgency=low

  * Hard code bootpc/bootps ports in udeb (closes: #168996).

 -- Herbert Xu <herbert@debian.org>  Thu, 14 Nov 2002 20:27:29 +1100

pump (0.8.13-1) unstable; urgency=low

  * New upstream release.
  * Made udeb smaller on i386 by reducing alignment.
  * Retry if write/read to control socket fails.

 -- Herbert Xu <herbert@debian.org>  Sat,  9 Nov 2002 13:21:12 +1100

pump (0.8.11-8) unstable; urgency=low

  * Set connect timeout of backup TCP socket to 1s (closes: #156362).

 -- Herbert Xu <herbert@debian.org>  Sun, 18 Aug 2002 14:10:26 +1000

pump (0.8.11-7) unstable; urgency=low

  * Call setsid(2) when daemonising (closes: #153051).
  * Always setup interface after DhcpRun (closes: #153749).
  * Fixed silly DNS search path (closes: #152480).
  * Fixed benign off-by-one error in vendor debug output (closes: #145978).
  * Use TCP socket as backup for pump.sock (closes: #148642).

 -- Herbert Xu <herbert@debian.org>  Sun, 11 Aug 2002 18:43:41 +1000

pump (0.8.11-6) unstable; urgency=low

  * Fixed --win-client-ident line in manual page (closes: #141202).

 -- Herbert Xu <herbert@debian.org>  Sun, 28 Apr 2002 13:48:37 +1000

pump (0.8.11-5) unstable; urgency=low

  * Fixed cut-and-paste error in renew.

 -- Herbert Xu <herbert@debian.org>  Wed, 20 Mar 2002 07:35:15 +1100

pump (0.8.11-4) unstable; urgency=low

  * Correction to grammar (Ajay Shah, closes: #131558).
  * Added Russian debconf translation (Ilgiz Kalmetev, closes: #136603).
  * Removed oldKernel().
  * Use AF_PACKET to send discover packets (closes: #137611).

 -- Herbert Xu <herbert@debian.org>  Sun, 17 Mar 2002 12:15:31 +1100

pump (0.8.11-3) unstable; urgency=low

  * New maintainer.
  * Removed "borken" message.
  * Make sure gethostname results are null-terminated (closes: #77975).
  * Kill pump on removal and deconfiguration (closes: #82608).
  * Fixed file descriptor bugs (closes: #95889).
  * Removed infinite loop.  The actual bug is fixed in 0.8.11 (closes: #95892).
  * Added db_go to config script (closes: #121207, #121862, #122432, #122853).

 -- Herbert Xu <herbert@debian.org>  Tue, 25 Dec 2001 19:02:45 +1100

pump (0.8.11-2) testing unstable; urgency=high

  * Merge in patches from RedHat 7.2's pump 0.8.11-7:
  * Add option to remove dns lookups
  * Add option to specify lease time in seconds
  * Add option to disable bootp compatibility
  * Retry renewal forever
  * Versioned debhelper depends
  * fix pump-udeb description
  * Don't call RedHat postIfup script
  * Add note that pump has "issues" (addresses #110602, 94222, and others)
  * Include spanish, dutch, brazillian portuguese, german debconf translations.
  * Closes: #112342, #92535, #114010, #95355, #102628, #94256, #116946

 -- Steve Dunham <dunham@debian.org>  Mon, 19 Nov 2001 08:48:53 -0800

pump (0.8.11-1) testing unstable; urgency=low

  * New upstream version

 -- Steve Dunham <dunham@debian.org>  Wed, 29 Aug 2001 19:01:28 -0700

pump (0.8.3-3) testing unstable; urgency=low

  * Change section of udeb, add debhelper to source depends. Closes #86480
  * Upload to testing. (0.8.2 and this fixes severe bugs)

 -- Steve Dunham <dunham@debian.org>  Sun, 18 Feb 2001 10:25:10 -0800

pump (0.8.3-2) woody unstable; urgency=low

  * New standards version and builddeps. Closes #81996
  * chdir to / in daemon. Closes #63961
  * Back out fix for broken man. Closes #85836
  * Tweak description. Closes #85838, #81719, #71963
  * Add udeb patch. Closes #79841
  * Add changelog and credits. Closes #60847
  * Remove init script. Use /etc/network/interfaces.
  * Make verbose log messages optional. Closes #45211 

 -- Steve Dunham <dunham@debian.org>  Tue, 13 Feb 2001 17:15:41 -0800

pump (0.8.3-1) unstable; urgency=low

  * New upstream version

 -- Steve Dunham <dunham@debian.org>  Sun, 22 Oct 2000 14:27:54 -0700

pump (0.7.3-2) unstable; urgency=low

  * Fix lockup while parsing resolv.conf

 -- Steve Dunham <dunham@debian.org>  Wed,  1 Dec 1999 12:24:22 -0800

pump (0.7.3-1) unstable; urgency=low

  * New upstream source
  * Run tbl on man page in install because 'man' is broken
  * 0.7.1 seemed to wedge after setting the address, 0.7.3 appears to work
  * Remove /etc/default/pump on purge.
  * Add instructions to postinst script

 -- Steve Dunham <dunham@debian.org>  Tue, 23 Nov 1999 00:24:01 -0800

pump (0.7.1-1) unstable; urgency=low

  * New upstream version
  * Backed out resolv.pump stuff
  * Added patch to keep it from forgetting everythin on lease renewal
  * Changed postinst script to default to running on no interfaces

 -- Steve Dunham <dunham@debian.org>  Fri, 24 Sep 1999 00:38:23 -0400

pump (0.7.0-1) unstable; urgency=low

  * New upstream version (Security fix)

 -- Steve Dunham <dunham@debian.org>  Tue, 17 Aug 1999 14:31:32 -0400

pump (0.6.7-4) unstable; urgency=low

  * Compile with libpopt. Closes #41863

 -- Steve Dunham <dunham@debian.org>  Tue, 27 Jul 1999 14:14:10 -0400

pump (0.6.7-3) unstable; urgency=low

  * Fix interface flags

 -- Steve Dunham <dunham@debian.org>  Thu,  8 Jul 1999 13:55:30 -0400

pump (0.6.7-2) unstable; urgency=low

  * Added Alan Cox's buffer overflow patches

 -- Steve Dunham <dunham@debian.org>  Wed, 23 Jun 1999 00:43:43 -0400

pump (0.6.7-1) unstable; urgency=low

  * Initial Release.

 -- Steve Dunham <dunham@debian.org>  Thu, 10 Jun 1999 14:45:00 -0400

